## zeek-aux 0.45

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
project(ZeekAux C CXX)
include(cmake/CommonCMakeConfig.cmake)

########################################################################
## Dependency Configuration

include(FindRequiredPackage)

FindRequiredPackage(FLEX)
FindRequiredPackage(PCAP)
FindRequiredPackage(BIND)
FindRequiredPackage(OpenSSL)

if (MISSING_PREREQS)
    foreach (prereq ${MISSING_PREREQ_DESCS})
        message(SEND_ERROR ${prereq})
    endforeach ()
    message(FATAL_ERROR "Configuration aborted due to missing prerequisites")
endif ()

include_directories(BEFORE
                    ${BIND_INCLUDE_DIR}
                    ${PCAP_INCLUDE_DIR}
                    ${OPENSSL_INCLUDE_DIR}
                    )

########################################################################
## System Introspection

include(CheckHeaders)
include(CheckFunctions)
include(CheckNameserCompat)
include(MiscTests)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

########################################################################
## Recurse on sub-directories

# For binary packaging or if this is the main CMake project, go through
# the regular install target, else use a custom target so programs
# have to be explicitly installed by the user via "make install-aux"
macro(AddAuxInstallTarget _target)
    if (BINARY_PACKAGING_MODE OR
        "${CMAKE_SOURCE_DIR}" STREQUAL "${PROJECT_SOURCE_DIR}")
        install(TARGETS ${_target} DESTINATION bin)
    else ()
        add_custom_target(install-${_target}
            COMMAND ${CMAKE_COMMAND} -E make_directory
                    ${CMAKE_INSTALL_PREFIX}/bin
            COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:${_target}>
                    ${CMAKE_INSTALL_PREFIX}/bin)
        add_dependencies(install-${_target} ${_target})
        set(AUX_TARGETS install-${_target};${AUX_TARGETS})
        set(AUX_TARGETS ${AUX_TARGETS} PARENT_SCOPE)
    endif ()
endmacro(AddAuxInstallTarget)

if ( NOT ZEEK_MAN_INSTALL_PATH )
    set(ZEEK_MAN_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/share/man)
endif ()

add_subdirectory(adtrace)
add_subdirectory(zeek-cut)
add_subdirectory(rst)

if (NOT (BINARY_PACKAGING_MODE OR
         "${CMAKE_SOURCE_DIR}" STREQUAL "${PROJECT_SOURCE_DIR}") )
    add_custom_target(install-aux
        COMMENT "Zeek auxiliary tools installed to ${CMAKE_INSTALL_PREFIX}/bin")
    add_dependencies(install-aux ${AUX_TARGETS})
endif ()

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/zeek-cut/zeek-cut DESTINATION bin)

########################################################################
## Build Summary

if (CMAKE_BUILD_TYPE)
    string(TOUPPER ${CMAKE_BUILD_TYPE} BuildType)
endif ()

message(
    "\n==================|  Zeek-Aux Build Summary  |=================="
    "\n"
    "\nInstall prefix:    ${CMAKE_INSTALL_PREFIX}"
    "\nDebug mode:        ${ENABLE_DEBUG}"
    "\n"
    "\nCC:                ${CMAKE_C_COMPILER}"
    "\nCFLAGS:            ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_${BuildType}}"
    "\nCXX:               ${CMAKE_CXX_COMPILER}"
    "\nCXXFLAGS:          ${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${BuildType}}"
    "\nCPP:               ${CMAKE_CXX_COMPILER}"
    "\n"
    "\n================================================================\n"
)

include(UserChangedWarning)

=== zeek-cut/CMakeLists.txt ===
set(zeekcut_SRCS
    zeek-cut.c
)

add_executable(zeek-cut ${zeekcut_SRCS})

install(FILES zeek-cut.1 DESTINATION ${ZEEK_MAN_INSTALL_PATH}/man1)

# Install wrapper script for Bro-to-Zeek renaming.
include(InstallSymlink)
InstallSymlink("${CMAKE_INSTALL_PREFIX}/bin/zeek-wrapper" "${CMAKE_INSTALL_PREFIX}/bin/bro-cut")

=== plugin-support/skeleton/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.0 FATAL_ERROR)

project(ZeekPlugin@PLUGIN_NAME@)

include(ZeekPlugin)

zeek_plugin_begin(@PLUGIN_NAMESPACE@ @PLUGIN_NAME@)
zeek_plugin_cc(src/Plugin.cc)
zeek_plugin_bif(src/@PLUGIN_NAME_LOWER@.bif)
zeek_plugin_dist_files(README CHANGES COPYING VERSION)
zeek_plugin_end()

file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" VERSION LIMIT_COUNT 1)

if ("${PROJECT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
    # Allows building rpm/deb packages via "make package" in build dir.
    include(ConfigurePackaging)
    ConfigurePackaging(${VERSION})
endif ()

=== debian/changelog ===
zeek-aux (0.45-1) unstable; urgency=medium

  * New upstream version 0.45
  * Add gbp.conf
  * Update watch file

 -- Hilko Bengen <bengen@debian.org>  Thu, 31 Dec 2020 02:08:12 +0100

zeek-aux (0.44-1) experimental; urgency=medium

  * New upstream version 0.44
  * Rename packages bro -> zeek
  * Replace Raúl Benencia with myself as Maintainer, per his request
  * Bump Debhelper compat level

 -- Hilko Bengen <bengen@debian.org>  Fri, 14 Feb 2020 16:47:25 +0100

bro-aux (0.42-1) unstable; urgency=medium

  * New upstream version 0.42
  * Drop unneeded dh --parallel parameter
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Update Vcs-* headers after migration to salsa.debian.org

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Dec 2018 21:15:54 +0100

bro-aux (0.39-1) unstable; urgency=medium

  * New upstream version 0.39

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 21:27:32 +0200

bro-aux (0.38-1) unstable; urgency=medium

  * New upstream version
  * Update watch file
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2016 10:12:26 +0100

bro-aux (0.35-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Jun 2015 15:59:48 +0200

bro-aux (0.34-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 May 2015 18:35:43 +0200

bro-aux (0.33-1) unstable; urgency=low

  * Initial release (Closes: #771142)

 -- Raúl Benencia <rul@kalgan.cc>  Fri, 12 Dec 2014 09:11:35 -0300

=== debian/control ===
Source: zeek-aux
Section: net
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: cmake, debhelper (>= 12~), flex, libpcap0.8-dev | libpcap-dev, libssl-dev,
Standards-Version: 4.3.0
Homepage: https://www.zeek.org/sphinx/components/zeek-aux/README.html
Vcs-Git: https://salsa.debian.org/bro-team/zeek-aux.git
Vcs-Browser: https://salsa.debian.org/bro-team/zeek-aux

Package: zeek-aux
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: bro-aux
Replaces: bro-aux
Enhances: zeek
Suggests: gawk
Description: small auxiliary tools for Zeek
 This package provides handy auxiliary programs related to the use of the
 Zeek Network Security Monitor.
 .
 The “adtrace” utility is used to compute the network address that compose
 the internal and extern nets that Zeek is monitoring. The “zeek-cut” utility
 reads ASCII Zeek logs on standard input and outputs them with only the
 specified columns (if no column names are specified, then all columns are
 output). The "nfcollector" and "ftwire2zeek" utilities are for dealing with
 Zeek’s custom file format for storing NetFlow records.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://download.zeek.org/ zeek-aux-(\d.*)\.tar\.gz
